Subject: Re: bug#73455: 30.0.91: find buffer pretty print columns don't line up on 1080p

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Sep 2024 15:26:44 +0300

> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 25 Sep 2024 09:39:38 +0000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> 
> >> Expect to see columns line up in pretty print.
> >
> > If you run the 'find' command shown at the beginning of the buffer
> > from the shell prompt, after you chdir to the NetBSD-10 directory, do
> > the columns align in the output, or do you see the same misalignment
> > as in the screenshot you posted?
> >
> 
> That command at the shell prompt inside Emacs and outside on the Xterm
> 
>  $ find . \( -name \*file.c \) -ls
> 
> generates misaligned columns as seen in the screenshot.  Here is a
> clip of three lines taken from the Xterm and this is also misaligned inside
> Emacs at the shell prompt output
> 
>  799508     16 -rw-r--r--    1 van               wheel                  6006 May 22  2021 ./sys/lib/libsa/loadfile.c
> 12794193     16 -rw-r--r--    1 van               wheel                  4161 Jul 15  2020 ./sys/stand/efiboot/efifile.c
>  807438      8 -rw-r--r--    1 van               wheel                  3571 Jan 14  2017 ./tests/kernel/kqueue/read/t_file.c

Then I think this is the reason.  Emacs does not realign the columns
in the output of the Find command, it uses the output as-is.  Since
you are on NetBSD, I'm guessing that your Find command is not GNU
Find, and it probably doesn't guarantee that the columns are aligned.
I think I see in the GNU Find code which tries to handle this case, so
maybe you could install GNU Find and try with that.